local w -- world
local b -- body
local bodyMass

function love.load()
	-- load
	w = love.physics.newWorld(-1000,-1000,1000,1000)
	w:setGravity(0,100) -- is this in pixels or in meters?
	-- the default scale is 30 pixels per meter
	bodyMass = 10
	b = love.physics.newBody(w, 400,300,bodyMass)
end

function love.update(dt)
	-- update
	
	local gravX, gravY = w:getGravity()
	b:applyForce(-gravX*bodyMass/w:getMeter(), -gravY*bodyMass/w:getMeter())
	
	w:update(dt)
	
end

function love.draw()
	-- draw
	local bx, by = b:getPosition()
	love.graphics.circle('line', bx, by, 10)
	
end

function love.keypressed(key)
	if key == 'q' then
		love.event.push('q')
	end
end